import request from '@/utils/request'

// 查询设备管理列表
export function listFacility(query) {
  return request({
    url: '/drivingSchool/system/facility/list',
    method: 'get',
    params: query
  })
}

// 查询设备管理详细
export function getFacility(id) {
  return request({
    url: '/drivingSchool/system/facility/' + id,
    method: 'get'
  })
}

// 新增设备管理
export function addFacility(data) {
  return request({
    url: '/drivingSchool/system/facility',
    method: 'post',
    data: data
  })
}

// 修改设备管理
export function updateFacility(data) {
  return request({
    url: '/drivingSchool/system/facility',
    method: 'put',
    data: data
  })
}

// 删除设备管理
export function delFacility(id) {
  return request({
    url: '/drivingSchool/system/facility/' + id,
    method: 'delete'
  })
}
